# SWDB

# \

## Classes

APP | App related constants.
APPLICATION | Application helper.
ARCHETYPE_ID | Unit archetype constants.
AREA_TYPE_ID | Playable area group constants.
ARENA_RANKING_POINTS | Arena ranking constant.
ARENA_RANKING_RANK | Arena ranking constant.
Building | A Building.
BUILDING_ID | Building constants.
Catalog_Page | Catalog page model.
Controller | Application controller.
CRAFT_ID | Craft items constants.
Custom_Filter | A custom_Filter.
DB | Database helper.
Decoration | A Decoration.
DECORATION_ID | Decoration constants.
DIFFICULTY_ID | Stage difficulty constants.
DUNGEON_ID | Dungeon section constants.
EFFECT_AREA_ID | Leadr skill area constants.
ELEMENT_ID | Element constants.
ELEMENTAL_RIFT_DUNGEON_ID | Elemental Rift Dungeon constants.
ENHANCE_MONSTER_ID | Storage-able enhance monster constants.
Entity | Entity superclass.
FILTER | Default filter values;
Fusion | Fusion.
Fusion_Page | Fusion page model.
Guild | Guild.
Guild_Member | Guild.
GUILD_MEMBER_GRADE_ID | Guild member rank constants.
Guild_Page | Guild page model.
Helper | Helper superclass.
Home_Page | Home page model.
HTML | HTML helper.
Inventory | An inventory item.
INVENTORY_ID | Items constants.
INVENTORY_TYPE_ID | Inventory categories constants.
K_Area | An area.
K_Building | Building.
K_Decoration | Decoration.
K_Effect | Skill effect.
K_Guild_Skill | Guild skill.
K_Guild_Skill_Group | Guild skill group.
K_Leader_Skill | Monster skill.
K_Rune_Set | A rune set.
K_Skill | Monster skill.
K_Skill_Level | Monster skill level.
K_Source | Monster source.
K_Unit | A unit.
K_Unit_Transformation | Unit transformation.
LABYRINTH_STAGES_ID | Constants for all the types of stages in the Tartarus Labyrinth.
Landing_Page | Landing (login) page model.
Monster_Fusion | Extension of K_Unit that also stores information about owned monsters.
Monster_Info_Page | Monster details page model.
Monster_Page | Monster view page model.
Monsters_Page | Monster list page model.
NET | Netowrk helper.
Page | Page superclass.
PATH | In-app directories (filesystem, not url).
Profile_Page | User profile page model.
QUALITY_ID | Rune (and other items) quality constants.
RAID_RIFT_DUNGEON_ID | Rift raid level constants.
Report_Page | Main reports page model.
Report_Runecraft_Page | Upgradeable runes report page model.
Report_Runeupgrade_Page | Upgradeable runes report page model.
Report_Skillup_Page | Urgent Skillup report page model.
Run | A run.
Rune | Owned rune.
Rune_Craft | Owned rune craft item.
RUNE_SET_ID | Rune set constants.
RUNE_STAT_ID | Rune stat constants.
Runes_Page | Rune list page model.
Runs_Page | Run list page model.
SCENARIO_ID | Scenario area constants.
SOURCE_ID | Unit source constants.
STAT_ID | Stat constants.
Team | A Team.
Teams_Page | Team list page model.
TEXT | Text helper.
Unit | A Unit.
URL | In-app URLs.

Namespace hierarchy
  \

## Constants

### BASE_PATH

    BASE_PATH

Define constant and includesome helpers.

#

File

## Tags

package | Default

### BASE_URL

    BASE_URL

#

File

## Tags

package | Default

## Functions

### action()

    action(resource  $db = null) : integer

Logs the user in.

Reads the POST parameters looking for the following KEYS: uname password If there is a match, it sets cookies and session variables, and redirects to the user homepage.

#### Parameters

resource | $db | Database connection.

#### Returns

integer —

0 on success, negative values on error.

#

File

## Tags

package | Default
category | Action

### action()

    action(resource  $db = null) : integer

Saves a run party as a team.

Reads the POST parameters looking for the following KEYS: uid run name description Validates the data and creates the team in the database.

#### Parameters

resource | $db | Database connection.

#### Returns

integer —

0 on success, negative values on error.

#

File

## Tags

package | Default
category | Action

### action()

    action(resource  $db = null) : integer

Logs the user out and redirects to the login page.

Reads the POST parameters looking for the following KEYS: uid area_type area stage difficulty ids name description Validates the data and creates the team in the database.

#### Parameters

resource | $db | Database connection.

#### Returns

integer —

0 on success, negative values on error.

#

File

## Tags

package | Default
category | Action
global | int[] Area types. int[] Difficulty levels. int[] Scenario areas. int[] Dungeon sections. int[] Elemental rift dungeons. int[] Labyrinth stage types.

### action()

    action(resource  $db = null) : integer|string

Executes the profile update.

Reads the POST parameters looking for the following KEYS: mail pass + currentPass api Then it updates the selected info with the prameter vlue. Multiple itemas can be updated at the same time.

#### Parameters

resource | $db | Database connection.

#### Returns

integer|string —

0 on success, negative values on error. If the API key has been updated, the new key.

#

File

## Tags

package | Default
category | Action

### action()

    action(resource  $db = null) : integer

Logs the user out and redirects to the login page.

Invalidates cookies and session variables.

#### Parameters

resource | $db | Database connection.

#### Returns

integer —

0.

#

File

## Tags

package | Default
category | Action
global | int The user id.